Users
Register a new user
Create a new user in the specified organization, with a JSON payload.
POST
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
Register a new user
curl --request POST \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"external_user_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street_and_number": "<string>",
"street_add_info": "<string>",
"zip_code": "<string>",
"town": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"is_dashboard_user": true
}
'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users"
payload = {
"email": "[email protected]",
"external_user_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street_and_number": "<string>",
"street_add_info": "<string>",
"zip_code": "<string>",
"town": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"is_dashboard_user": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
external_user_id: '<string>',
first_name: '<string>',
last_name: '<string>',
street_and_number: '<string>',
street_add_info: '<string>',
zip_code: '<string>',
town: '<string>',
country: '<string>',
latitude: 123,
longitude: 123,
is_dashboard_user: true
})
};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"num_inverters": 123,
"num_heat_pumps": 123,
"num_electric_vehicles": 123,
"num_wallboxes": 123,
"external_user_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"is_onboarded": true,
"push_notifications_enabled": true,
"street_and_number": "<string>",
"street_add_info": "<string>",
"zip_code": "<string>",
"town": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"language": "<string>",
"last_login": "2023-11-07T05:31:56Z",
"joined_at": "2023-11-07T05:31:56Z"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID of the new user's organization
Body
application/json
Available options:
admin, staff, user, guest Response
200 - application/json
OK
Available options:
admin, staff, user, guest Was this page helpful?
⌘I
Register a new user
